/**
 * @Author Michael
 * Diese Klasse repräsentiert einen Kiosk
 */

package de.lmu.ifi.eibnf.kiosk;

import de.lmu.ifi.eibnf.interfaces.Buyable;
import de.lmu.ifi.eibnf.productsVererbung.Product;

/**
 * 
 * @author Michael Kirsch Diese Klasse hilft dem Kassensystem die Summe von Produkten zu ermitteln.
 *
 */
public class PriceUtils {

    /**
     * 
     * @param preis1
     *            Ein Objekt, dass das Interface Buyable implementiert
     * 
     * @param weiterePreise
     *            Weitere Objekte, die das Interface Buyable implementieren
     * 
     * @return Gesamtpreis aller Produkte
     */
    public double calculateSum(Buyable preis1, Buyable... weiterePreise) {
	double result = preis1.getPrice();

	/*
	 * Iteriert über die Liste mit weiterenPreise
	 */

	for (Buyable iterator : weiterePreise)
	    result += iterator.getPrice();

	return result;
    }

    /**
     * 
     * @param ware1
     *            Ein Produkt, dass von Klasse Product erbt. Bspw. Magazin oder Waschmittel
     * 
     * @param weitereWaren
     *            weitere Produkte, die von Klasse Product erben
     * 
     * @return Gesamtpreis aller Produkte
     */
    public double calculateSum(Product ware1, Product... weitereWaren) {
	double result = ware1.getPrice();

	for (int i = 0; i < weitereWaren.length; i++) {
	    result = result + weitereWaren[i].getPrice();
	}

	return result;
    }
}
